> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Acknowledge E-Signature

> Submits acknowledgement of the e-Signature for tracking and auditing purposes. This action creates a case data record with the provided information. The system records the acknowledgment and generates a PDF file of the e-Signature document, which includes the candidate's acknowledgment and is available for download.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json post /case/id/{caseId}/esig/{language}
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/id/{caseId}/esig/{language}:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
        description: The ID of the case.
      - $ref: '#/components/parameters/language'
    post:
      tags:
        - Candidate onboarding
      summary: Acknowledge E-Signature
      description: >-
        Submits acknowledgement of the e-Signature for tracking and auditing
        purposes. This action creates a case data record with the provided
        information. The system records the acknowledgment and generates a PDF
        file of the e-Signature document, which includes the candidate's
        acknowledgment and is available for download.
      operationId: post-case-id-caseId-esig-language
      parameters:
        - name: language
          in: path
          required: true
          schema:
            type: string
          description: The language code (e.g. en-US)
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LegalAcknowledgmentSignature'
            examples:
              Example 1:
                value:
                  signatureType: electronic
                  signature: John Hancock
      responses:
        '200':
          description: OK
        '403':
          description: Forbidden
        '404':
          description: The case was not found.
        '422':
          description: >-
            The case doesn't include the e-Signature service, or the candidate
            already acknowledged it.
        '500':
          description: Internal Server Error
components:
  parameters:
    language:
      name: language
      in: path
      required: true
      schema:
        type: string
        enum:
          - en
      description: >-
        The desired language for the legal document. Must be an [ISO
        639-1](https://en.wikipedia.org/wiki/List_of_ISO_639_language_codes)
        code. Currently, the only supported value is `en` (English). If an
        unsupported language is requested, the call still succeeds but returns
        an English version of the document.
  schemas:
    LegalAcknowledgmentSignature:
      title: LegalAcknowledgmentSignature
      type: object
      required:
        - signatureType
        - signature
      properties:
        signatureType:
          type: string
          enum:
            - electronic
            - manual
        signature:
          type: string
          description: >-
            For candidates who onboarded using KarmaCheck's onboarding
            experience, the value that the candidate entered into the signature
            input field on the legal step. This might not be exactly the same as
            the name that the case was ordered under.
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````